## cavezofphear 0.5.1

=== Makefile ===
DESTDIR_BIN = /usr/local/bin
DESTDIR_DATA = /usr/local/share

make:
	cd src && make
clean:
	rm -f phear editor
install:
	mkdir -p $(DESTDIR_BIN)
	mkdir -p $(DESTDIR_DATA)/phear
	cp phear $(DESTDIR_BIN)
	cp -r data $(DESTDIR_DATA)/phear
	ls -al  $(DESTDIR_BIN)/phear
	ls -ald $(DESTDIR_DATA)/phear
uninstall:
	rm -f $(DESTDIR_BIN)/phear
	rm -rf $(DESTDIR_DATA)/phear

=== src/Makefile ===
OBJS = main.o frame.o isready.o loadmap.o misc.o gplot.o splash.o chk.o editor.o

DESTDIR = ..

CC = gcc
INSTALL = install
CFLAGS ?= -s -Wall -O2
LDFLAGS += -lncurses

all: phear install clean

%.o: %.c
	$(CC) $(CFLAGS) -c $^ -o $@

phear: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $^ ${LDFLAGS}

install: install-game

install-game: phear
	$(INSTALL) $^ $(DESTDIR) 

clean:
	rm -f *.o phear

=== debian/changelog ===
cavezofphear (0.5.1-1build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:13:55 +0000

cavezofphear (0.5.1-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:20 +0000

cavezofphear (0.5.1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:39:50 +0000

cavezofphear (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #650690)

 -- Håkon Nessjøen <haakon.nessjoen@gmail.com>  Thu, 19 Jan 2012 12:39:14 +0100

=== debian/control ===
Source: cavezofphear
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Håkon Nessjøen <haakon.nessjoen@gmail.com>
Build-Depends: debhelper (>= 8.0.0), libncurses5-dev (>= 5.5-5~)
Standards-Version: 3.9.2
Homepage: http://www.x86.no/cavezofphear/
Vcs-Git: git://github.com/haakonnessjoen/Cavez-of-Phear-packaging.git
Vcs-Browser: https://github.com/haakonnessjoen/Cavez-of-Phear-packaging

Package: cavezofphear
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ASCII Boulder Dash clone
 A Boulder Dash game clone for your favorite terminal.
 You are trapped in the CAVEZ of PHEAR, your mission is to escape
 through all the caves and make it out alive. To escape through a
 cave you will have to find all the diamonds located in it. Once
 you've found all the diamonds, their powers combined will help you
 get to the next cave, one step closer to freedom.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export LDFLAGS

override_dh_auto_install:
	make install DESTDIR_BIN=debian/tmp/usr/games DESTDIR_DATA=debian/tmp/usr/share

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://www.x86.no/cavezofphear/ phear-(.*)\.tar\.gz
